Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tomcat.util.log
Enum UserDataHelper.Mode

    java.lang.Object
      java.lang.Enum<UserDataHelper.Mode>
          org.apache.tomcat.util.log.UserDataHelper.Mode

All Implemented Interfaces:
  Serializable, Comparable<UserDataHelper.Mode>

Enclosing class:
  UserDataHelper

    public static enum UserDataHelper.Mode

extends Enum<UserDataHelper.Mode>

Log mode for the next log message.

Enum Constant Summary
`DEBUG`
`INFO`
`INFO_THEN_DEBUG`

Method Summary
`boolean` | `fallToDebug()`
`static UserDataHelper.Mode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UserDataHelper.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEBUG

    public static final UserDataHelper.Mode DEBUG

### INFO_THEN_DEBUG

    public static final UserDataHelper.Mode INFO_THEN_DEBUG

### INFO

    public static final UserDataHelper.Mode INFO

Method Detail

### values

    public static UserDataHelper.Mode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UserDataHelper.Mode c : UserDataHelper.Mode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UserDataHelper.Mode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### fallToDebug

    public boolean fallToDebug()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.